# API

The complete API provided by official SUIT CSS packages. See the README of
individual packages for details of their API.

## Utilities

### [After](https://github.com/suitcss/utils-after)

#### Classes

* `u-afterXof2`
* `u-afterXof3`
* `u-afterXof4`
* `u-afterXof5`
* `u-afterXof6`
* `u-afterXof8`
* `u-afterXof10`
* `u-afterXof12`

…and responsive variants `u-sm-*`, `u-md-*`, and `u-lg-*`.

### [Align](https://github.com/suitcss/utils-align)

#### Classes

* `u-alignTop`
* `u-alignMiddle`
* `u-alignBaseline`
* `u-alignBottom`

### [Before](https://github.com/suitcss/utils-before)

#### Classes

* `u-beforeXof2`
* `u-beforeXof3`
* `u-beforeXof4`
* `u-beforeXof5`
* `u-beforeXof6`
* `u-beforeXof8`
* `u-beforeXof10`
* `u-beforeXof12`

…and responsive variants `u-sm-*`, `u-md-*`, and `u-lg-*`.

### [Display](https://github.com/suitcss/utils-display)

#### Classes

* `u-block`
* `u-hidden`
* `u-hiddenVisually`
* `u-inline`
* `u-inlineBlock`
* `u-table`
* `u-tableCell`
* `u-tableRow`

### [Layout](https://github.com/suitcss/utils-layout)

#### Classes

* `u-cf`
* `u-nbfc`
* `u-nbfcAlt`
* `u-floatLeft`
* `u-floatRight`

### [Link](https://github.com/suitcss/utils-link)

#### Classes

* `u-linkBlock`
* `u-linkClean`
* `u-linkComplex` / `u-linkComplexTarget`

#### Variables

* `--color-linkPseudo`
* `--color-hover-linkPseudo`

### [Position](https://github.com/suitcss/utils-position)

#### Classes

* `u-posAbsolute`
* `u-posAbsoluteCenter`
* `u-posFixed`
* `u-posRelative`
* `u-posStatic`

### [Size](https://github.com/suitcss/utils-size)

#### Classes

* `u-sizeFill`
* `u-sizeFillAlt`
* `u-sizeFit`
* `u-sizeFitAlt`
* `u-sizeFull`
* `u-sizeXof2`
* `u-sizeXof3`
* `u-sizeXof4`
* `u-sizeXof5`
* `u-sizeXof6`
* `u-sizeXof8`
* `u-sizeXof10`
* `u-sizeXof12`

…and responsive variants `u-sm-*`, `u-md-*`, and `u-lg-*`.

### [Text](https://github.com/suitcss/utils-text)

#### Classes

* `u-textBreak`
* `u-textCenter`
* `u-textColorInherit`
* `u-textLeft`
* `u-textKren`
* `u-textNoWrap`
* `u-textRight`
* `u-textTruncate`


## Components

### [Arrange](https://github.com/suitcss/components-arrange)

#### Classes

* `Arrange`
* `Arrange--bottom`
* `Arrange--equal`
* `Arrange--middle`
* `Arrange--withGutter`
* `Arrange-sizeFill`
* `Arrange-sizeFit`

#### Variables

* `--gutter-size-Arrange`

### [Button](https://github.com/suitcss/components-button)

#### Classes

* `Button`
* `Button.is-disabled`

#### Variables

* `--border-width-Button`
* `--border-color-Button`
* `--color-Button`
* `--font-Button`
* `--padding-Button`
* `--opacity-Button-disabled`

### [Flexible embeds](https://github.com/suitcss/components-flex-embed)

#### Classes

* `FlexEmbed`
* `FlexEmbed--2by1`
* `FlexEmbed--3by1`
* `FlexEmbed--4by3`
* `FlexEmbed--16by9`
* `FlexEmbed-item`

### [Grid](https://github.com/suitcss/components-grid)

#### Classes

* `Grid`
* `Grid--alignBottom`
* `Grid--alignCenter`
* `Grid--alignMiddle`
* `Grid--alignRight`
* `Grid-cell`
* `Grid-cell--center`

#### Variables

* `--font-size-Grid`
* `--gutter-size-Grid`

### [Test](https://github.com/suitcss/components-test)

#### Classes

* `Test`
* `Test-describe`
* `Test-it`
* `Test-title`
